%global momorel 8
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr
%global ftpdirver 4.1.0
%global sourcedir stable/%{ftpdirver}/src/extragear

Summary: A fax viewer for KDE4
Name: kfax
Version: 3.3.6
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.kde.org/
Group: Applications/Communications
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}-kde%{kdever}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}

%description
A fax viewer for KDE4

%prep
%setup -q -n %{name}-%{version}-kde%{kdever}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog NOTES README TODO
%{_bindir}/kfax
%{_datadir}/applications/kde4/*.desktop
%{_datadir}/apps/kfax
%{_datadir}/icons/*/*/*/%{name}.*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Sat Aug  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-8m)
- new source for KDE 4.1

* Fri Jul 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-7m)
- new source for KDE 4.1 RC 1

* Sun Jun  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-6m)
- source tarball was renamed for KDE 4.1 beta 1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-5m)
- rebuild against qt-4.4.0-1m
- source tarball was renamed

* Tue Apr  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-4m)
- update source tar ball

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3.6-3m)
- rebuild against gcc43

* Sat Feb 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-2m)
- update source tar ball

* Mon Jan 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-1m)
- initial build for Momonga Linux 4
